Loading...
Searching...
No Matches
Magick::PathSmoothCurvetoAbs Class Reference
Inheritance diagram for Magick::PathSmoothCurvetoAbs:

## Public Member Functions

| PathSmoothCurvetoAbs (const Magick::Coordinate &coordinates_)
| PathSmoothCurvetoAbs (const CoordinateList &coordinates_)
| PathSmoothCurvetoAbs (const PathSmoothCurvetoAbs &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

CoordinateList | _coordinates

## Detailed Description

Definition at line 2689 of file Drawable.h.

## Constructor & Destructor Documentation

## PathSmoothCurvetoAbs() [1/3]

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const Magick::Coordinate & | coordinates_ | ) |

Definition at line 2041 of file Drawable.cpp.

: _coordinates(1,coordinates_)
{
}

## PathSmoothCurvetoAbs() [2/3]

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2046 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## PathSmoothCurvetoAbs() [3/3]

Magick::PathSmoothCurvetoAbs::PathSmoothCurvetoAbs | ( | const PathSmoothCurvetoAbs & | original_ | ) |

Definition at line 2051 of file Drawable.cpp.

: VPathBase (original_),
_coordinates(original_._coordinates)
{
}

## ~PathSmoothCurvetoAbs()

Magick::PathSmoothCurvetoAbs::~PathSmoothCurvetoAbs | ( | void |  | ) |

Definition at line 2057 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathSmoothCurvetoAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2074 of file Drawable.cpp.

{
return new PathSmoothCurvetoAbs(*this);
}

## operator()()

void Magick::PathSmoothCurvetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2060 of file Drawable.cpp.

{
for( CoordinateList::const_iterator p = _coordinates.begin();
p != _coordinates.end(); p++ )
{
double x2 = p->x();
double y2 = p->y();
p++;
if (p == _coordinates.end() )
break;
DrawPathCurveToSmoothAbsolute( context_, x2, y2, p->x(), p->y() );
}
}

## Field Documentation

## _coordinates

CoordinateList Magick::PathSmoothCurvetoAbs::_coordinates

private

Definition at line 2711 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp